Bug 53040 - aic7xxx badly borke in rc2
aic7xxx badly borke in rc2
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-02 11:09 EDT by greg hosler
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-03 08:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description greg hosler 2001-09-02 11:09:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3-2.9.2smp i686)

Description of problem:
I have a 100% scsi system, Adeptec 29160, IBM scsi U160 disks, Yamaha scsi

The RC2 kernel detects what I believe to be false media errors on the scsi
cdreader. I cannot install. I have written disc1 2 times, and each time,
a media error is detected in one package, or another during installation,
retry will not read the block/package.

I can reboot to an earlier RH7.1 installation, and I can read the same
on the same yamaha drive, without a single error.

This is reminsicent of the aha7xxx errors we used to have during the early
of 7.1 beta.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set up a scsi only system
2. install from a yamaha scsi cdrw (same one that wrote the cd's - this

Actual Results:  failed install. media error detected, and once detected
cannot continue install. retry does no good as it sees the false media
error again and again, on an otherwise idle system.

Expected Results:  installed system.

Additional info:

can't install on aic7xxx scsi based systems - I set this as high priority
because of that.
Comment 1 Jeremy Katz 2001-09-02 12:16:30 EDT
Switching to kernel since that's where the problem would lie
Comment 2 Arjan van de Ven 2001-09-02 12:23:43 EDT
Is this by accident a 440GX chipset system ?
If so, does passing "apic" on the syslinux prompt help ?
Comment 3 greg hosler 2001-09-02 19:07:20 EDT
This a SMP system, so apic is already enabled. The chipset is VIA.
Comment 4 greg hosler 2001-09-03 01:34:58 EDT
hmm. I just thought about this again.

While it is true that my box is SMP/Via chipset, it just occured to me that when
I'm booting
the installation cd, it's booting a UP kernel, so apic is probably not being
set. Let me try
enabling this and see if this helps.
Comment 5 greg hosler 2001-09-03 08:06:34 EDT
still fails.

I tried

	lowres apic

at the boot prompt (I need "lowres" for my graphic card  support).

I still get a false media error, but at a different place.
Comment 6 greg hosler 2001-09-03 09:57:35 EDT
it looks like this might be hardware. I swapped the cdrom drive, used the same
media (created
on the original cdrom drive), and the install went fine. My big clue was when a
cp -a of the
cdrom got i/o errors... I'm closing this as NOTABUG


Note You need to log in before you can comment on or make changes to this bug.